Subject: Re: [PATCH] fast-(import|export): improve on the signature algorithm name

From: Junio C Hamano <[email-masked]>
Date: Mon, 02 Jun 2025 09:20:32 -0700

Christian Couder <[email-masked]> writes:

>> -Earlier versions this command that did not have '--signed-commits'
>> -behaved as if '--signed-commits=strip'.  As an escape hatch for users
>> -of tools that call 'git fast-export' but do not yet support
>> -'--signed-commits', you may set the environment variable
>> -'FAST_EXPORT_SIGNED_COMMITS_NOABORT=1' in order to change the default
>> -from 'abort' to 'warn-strip'.
>> +NOTE: This is highly experimental and the format of the data stream may
>> +change in the future without compatibility guarantees.
>
> I wonder if it should say that the default is likely to change too?

It is to be decided in the future and we have no plan to do so
before the feature loses "experimental" label, no?  Those who are
opting into a highly experimental feature would know that already.

>> +test_expect_success GPG 'signed-commits default is same as strip' '
>
> Here also maybe we should say that the default could change in case
> advanced users look at test cases to get hints at what is cast in
> stone?

The same answer applies.